Last Comment Bug 1170955 - Reader Mode: Give visited links a different colour
: Reader Mode: Give visited links a different colour
Status: VERIFIED FIXED
[about-reader-ui]
:
Product: Toolkit
Classification: Components
Component: Reader Mode (show other bugs)
: 38 Branch
: Unspecified Unspecified
: P2 enhancement (vote)
: mozilla51
Assigned To: Rakhi(:rakhisharma)
:
: :Gijs
Mentors:
: 1240035 (view as bug list)
Depends on:
Blocks: 1286221
  Show dependency treegraph
 
Reported: 2015-06-03 02:38 PDT by Gerhard Großmann
Modified: 2017-01-09 02:17 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [good first verify][bugday-2017-01-06]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1170955 - Reader Mode: Give visited links a different color. . (58 bytes, text/x-review-board-request)
2016-08-18 03:38 PDT, Rakhi(:rakhisharma)
gijskruitbosch+bugs: review+
Details | Review

Description User image Gerhard Großmann 2015-06-03 02:38:30 PDT
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0
Build ID: 20150511103818

Steps to reproduce:

For some websites FF offers a reader mode since Version 38.0.5.


Actual results:

However the CSS for this mode lacks to differentiate visited and not yet visited links.


Expected results:

See http://joelcalifa.com/blog/revisiting-visited/ why distinctive colours help the user to navigate.
Comment 1 User image Rakhi(:rakhisharma) 2016-08-18 03:38:49 PDT Comment hidden (mozreview-request)
Comment 3 User image :Gijs 2016-08-18 04:07:55 PDT
Comment on attachment 8782389 [details]
Bug 1170955 - Reader Mode: Give visited links a different color. .

https://reviewboard.mozilla.org/r/72574/#review70210

::: toolkit/themes/shared/aboutReaderContent.css:88
(Diff revision 1)
>    text-decoration: underline;
>    font-weight: normal;
>  }
>  
>  a,
> -a:visited,
> +a:link,

I think we should just remove the :visited line, and probably make sure all 3 remaining ones include ":link". Please do the same for the rule above (the one with text-decoration: underline and font-weight: normal). Right now anchors that are not links will also get underlines and get colored, which is not right.

::: toolkit/themes/shared/aboutReaderContent.css:94
(Diff revision 1)
> +a:visited {
> +  color: #609;
> +}

This color does not work well with the dark theme, maybe let's use #c2e which is a bit lighter, so there's more contrast? It still has >3:1 contrast with the light and sepia theme as well, so I think that works.
Comment 4 User image Rakhi(:rakhisharma) 2016-08-18 05:24:58 PDT Comment hidden (mozreview-request)
Comment 6 User image :Gijs 2016-08-18 06:10:41 PDT
Comment on attachment 8782389 [details]
Bug 1170955 - Reader Mode: Give visited links a different color. .

https://reviewboard.mozilla.org/r/72574/#review70226

Looks good to me, thanks!
Comment 7 User image Pulsebot 2016-08-18 06:13:53 PDT
Pushed by gijskruitbosch@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/33584a021edd
Reader Mode: Give visited links a different color. r=Gijs.
Comment 8 User image Ryan VanderMeulen [:RyanVM] 2016-08-19 06:54:14 PDT
https://hg.mozilla.org/mozilla-central/rev/33584a021edd
Comment 9 User image Evan Tseng [:evanxd] 2016-11-03 20:14:25 PDT
*** Bug 1240035 has been marked as a duplicate of this bug. ***
Comment 10 User image Vuyisile Ndlovu [:terrameijar] 2017-01-06 09:31:21 PST
The Reader Mode gives visited links a different colour.

Note You need to log in before you can comment on or make changes to this bug.